Bug 75252 - [GTK] Use text or page zoom factor in WebKitWebView depending on zoom-text-only
Summary: [GTK] Use text or page zoom factor in WebKitWebView depending on zoom-text-only
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebKit2 (show other bugs)
Version: 528+ (Nightly build)
Hardware: PC Linux
: P2 Normal
Assignee: Nobody
URL:
Keywords: Gtk
Depends on: 75249
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-27 06:43 PST by Carlos Garcia Campos
Modified: 2012-02-29 10:51 PST (History)
3 users (show)

See Also:


Attachments
Patch (5.87 KB, patch)
2011-12-27 06:48 PST, Carlos Garcia Campos
gns: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos Garcia Campos 2011-12-27 06:43:44 PST
Use the new setting to set/get the text or page zoom factor in WebKitWebView.
Comment 1 Carlos Garcia Campos 2011-12-27 06:48:32 PST
Created attachment 120583 [details]
Patch
Comment 2 WebKit Review Bot 2011-12-27 06:55:14 PST
Thanks for the patch. If this patch contains new public API please make sure it follows the guidelines for new WebKit2 GTK+ API. See http://trac.webkit.org/wiki/WebKitGTK/AddingNewWebKit2API
Comment 3 Gustavo Noronha (kov) 2012-02-16 15:56:11 PST
Comment on attachment 120583 [details]
Patch

I think this patch could go in as part of the patch for bug 75249, it would make sense and it's not too big. It looks good to me, but the checks will need to be reversed if we decide to use enable-full-content-zoom in that other bug, might as well use the opportunity to squash it into the other one.
Comment 4 Carlos Garcia Campos 2012-02-16 23:33:46 PST
(In reply to comment #3)
> (From update of attachment 120583 [details])
> I think this patch could go in as part of the patch for bug 75249, it would make sense and it's not too big. It looks good to me, but the checks will need to be reversed if we decide to use enable-full-content-zoom in that other bug, might as well use the opportunity to squash it into the other one.

Ok, I don't mind to merge it. But I still find enable-full-content-zoom more confusing and inaccurate than zoom-text-only.
Comment 5 Gustavo Noronha (kov) 2012-02-29 08:33:13 PST
Comment on attachment 120583 [details]
Patch

Let's go ahead.
Comment 6 Carlos Garcia Campos 2012-02-29 10:51:25 PST
Committed r109230: <http://trac.webkit.org/changeset/109230>